:root {
  --text-color-black: #3f3f3f;
  --text-color-white: #eaeaea;

  --tag-bg-color: #f7fbff;
  --tag-bg-color-accent: #eaf5fe;
}

@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;1,300;1,400;1,600&display=swap");

/* * {
  outline: 1px solid rgba(255, 99, 71, 0.4);
} */

h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
::before,
::after {
  margin: 0;
  padding: 0;
}

ul {
  list-style: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

body {
  font-family: "Open Sans", Tahoma, Geneva, Verdana, sans-serif;
  font-style: normal;
  font-weight: 300;
  font-size: 12px;
  line-height: 1.33;
  letter-spacing: 0.03em;
  color: var(--text-color-black);
}

svg {
  fill: #8a8a8a;
}

::selection {
  background: var(--tag-bg-color);
}
::-moz-selection {
  background: var(--tag-bg-color);
}

.wrapper {
  margin: auto;

  background-image: url("../image/bg-main-lines.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

@media print, screen and (min-width: 768px) {
  .wrapper {
    width: 768px;

    -webkit-box-shadow: 0px 0px 5px 3px rgba(219, 219, 219, 1);
    -moz-box-shadow: 0px 0px 5px 3px rgba(219, 219, 219, 1);
    box-shadow: 0px 0px 5px 3px rgba(219, 219, 219, 1);
  }
}

.header {
  overflow: hidden;
  color: var(--text-color-white);
}

.header__wrapper {
  background: linear-gradient(262.63deg, #3f3f3f 5.59%, #676767 100%);
}

@media print, screen and (min-width: 768px) {
  .header__wrapper {
    width: calc(100% - 32px);

    border-radius: 0 120px 120px 0;
    overflow: hidden;
  }
}

.header__inner {
  padding: 20px;
  background-image: url("../image/bg-header-lines.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.bio {
  display: flex;
  flex-direction: column-reverse;
}

@media print, screen and (min-width: 768px) {
  .bio {
    flex-direction: row;
    align-items: center;
  }
}

@media print, screen and (min-width: 768px) {
  .bio__info p:nth-child(-n + 2) {
    display: inline-flex;
  }
}

.bio__name {
  margin-bottom: 6px;

  font-weight: 400;
  font-size: 26px;
  line-height: 1.34;
}

@media print, screen and (min-width: 768px) {
  .bio__name {
    margin-right: 40px;

    font-size: 26px;
  }
}

.bio__position {
  margin-bottom: 6px;

  font-size: 16px;
  line-height: 1.37;
}

@media print, screen and (min-width: 768px) {
  .bio__position {
    position: relative;
    top: -3px;
    margin: 0;
  }
}

.bio__birth-data {
  margin-bottom: 6px;
}

@media print, screen and (min-width: 768px) {
  .bio__birth-data {
    width: 95%;
  }
}

.bio__location {
  margin-bottom: 20px;
}

@media print, screen and (min-width: 768px) {
  .bio__location {
    width: 95%;
  }
}

.bio__summary {
  text-align: justify;
}

@media print, screen and (min-width: 768px) {
  .bio__summary {
    width: 95%;
  }
}

.bio__photo {
  border-radius: 0 50% 50% 0;
  margin-bottom: 20px;
}

@media print, screen and (min-width: 768px) {
  .bio__photo {
    width: 195px;
    height: 195px;
    margin: 0;

    border-radius: 50%;
  }
}

.main {
  display: flex;
  flex-direction: column;
}

@media print, screen and (min-width: 768px) {
  .main {
    flex-direction: row;
  }
}

.main a {
  font-family: inherit;
  font-style: inherit;
  font-weight: 400;
  font-size: inherit;
  line-height: inherit;
  letter-spacing: inherit;
  text-decoration: none;
}

section {
  padding: 20px;
}

@media print, screen and (min-width: 768px) {
  section {
    padding: 20px 30px;
  }

  .main__info section {
    width: 510px;
  }
}

.section-title {
  margin-bottom: 16px;
}

.education-item,
.experience-item,
.poroject-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 16px;
}

.edu {
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.edu > p:not(:last-child) {
  margin-bottom: 6px;
}

.edu__faculty {
  font-weight: 400;
}

.job {
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.job > p:not(:last-child) {
  margin-bottom: 6px;
}

.job div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
}

.job__employment {
  padding: 4px 8px;

  background: var(--tag-bg-color);
  border-radius: 100px;

  cursor: pointer;
}

.job__employment.onFocus {
  background: var(--tag-bg-color-accent);
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
}

.job svg {
  margin-right: 5px;
}

.proj {
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.proj div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 6px;
}

.proj__title {
  width: -webkit-fill-available;
}

.proj__link {
  white-space: nowrap;
}

@media print, screen and (max-width: 767px) {
  .proj__link {
    width: 45%;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.contact-item a {
  font-family: inherit;
  font-style: inherit;
  font-weight: inherit;
  font-size: inherit;
  line-height: inherit;
  letter-spacing: inherit;
  text-decoration: none;
  color: inherit;
}

.hobbies p {
  text-align: justify;
}

.technology-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 6px;

  padding: 0 10px;
}

.technology-item {
  padding: 4px 8px;

  background: var(--tag-bg-color);
  border-radius: 100px;

  cursor: pointer;
}

.skill-list,
.tool-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 6px;
}

.contact-item,
.language-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 6px;
}

.skill-item,
.tool-item {
  padding: 4px 8px;

  background: var(--tag-bg-color);
  border-radius: 100px;

  cursor: pointer;
}

.skill-item.onFocus,
.tool-item.onFocus,
.technology-item.onFocus {
  background: var(--tag-bg-color-accent);
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.35);
}

.contact-item svg {
  margin-right: 5px;
}

.footer {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  padding: 20px;
  background: linear-gradient(262.63deg, #3f3f3f 5.59%, #676767 100%);

  color: var(--text-color-white);
}

.footer a {
  font-family: inherit;
  font-style: inherit;
  font-weight: inherit;
  font-size: inherit;
  line-height: inherit;
  letter-spacing: inherit;
  text-decoration: none;
  color: inherit;
}

.footer a:hover svg {
  fill: var(--text-color-white);
}

.footer .social-nets {
  display: none;
}

@media print, screen and (min-width: 768px) {
  .footer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    padding: 20px 30px;
  }

  .footer svg {
    height: 20px;
    width: 20px;
  }

  .footer .social-nets {
    display: flex;
    gap: 10px;
  }
}
